Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 340357 - app-emulation/frodo _FORTIFY_SOURCE indicates presence of overflow
Summary: app-emulation/frodo _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: pending removal: 2011-09-04
Keywords: PMASKED
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-10 14:55 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-09-04 10:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (frodo-4.1b:20101009-161244.log,49.01 KB, text/plain)
2010-10-10 14:55 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch to fix the off-by-one overflow (frodo-4.1b-buffer-overflow.patch,396 bytes, patch)
2011-01-29 14:35 UTC, Kevin McCarthy (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-10 14:55:43 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-10 14:55:59 UTC
Created attachment 250123 [details]
Build log
Comment 2 Kevin McCarthy (RETIRED) gentoo-dev 2011-01-29 14:35:19 UTC
Created attachment 260995 [details, diff]
Patch to fix the off-by-one overflow

This patch takes care of the FORTIFY_SOURCE error, but there seem to be many other issues with frodo on Unix-like OSes. It hasn't been updated upstream for 10 years but the author is supposed to be working on a complete re-write for version 5: see http://frodo.cebix.net/

As far as I can see, there is no advantage to running this instead of app-emulation/vice which works very well. So I would vote to remove this from the tree, at least until version 5 is available.
Comment 3 Samuli Suominen gentoo-dev 2011-02-06 19:07:32 UTC
Unmaintained package with security problems, CCing treecleaners for removal
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2011-09-04 10:57:45 UTC
gone